import request from '../http/index'

// 登录接口
export function Login(params) {
  return request({
    url: '/admin/api/login/pwd',
    method: 'get',
    params:params,
  })
}

// 创建员工
export function getCreated(data){
  return request({
    url:"/admin/api/user/create",
    method:"post",
    data:data
  })
}
// 员工列表
export function getuselist(){
  return request({
    url:"/admin/api/system/user",
    method:"get",
    // data:data
  })
}
// 修改员工
export function getuseedit(data){
  return request({
    url:"/admin/api/user/edit",
    method:"post",
    data:data
  })
}
// 删除或恢复员工
export function getusedelete(data){
  return request({
    url:"/admin/api/user/delete",
    method:"post",
    data:data
  })
}
// 员工信息
export function getMessage(params){
  return request({
    url:"/admin/api/user/info",
    method:"get",
    params:params
  })
}



// 客户列表
export function getkehulist(){
  return request({
    url:"/admin/api/custom/list",
    method:"get",
    // data:data
  })
}
// 客户添加
export function getkehucreate(data){
  return request({
    url:"/admin/api/custom/create",
    method:"post",
    data:data
  })
}
// 客户信息 
export function getcustomget(id){
  return request({
    url:"/admin/api/custom/get?id="+id,
    method:"get",
    
  })
}
// 客户信息编辑
export function getkehucustomedit(data){
  return request({
    url:"/admin/api/custom/edit",
    method:"post",
    data:data
  })
}
// 审核
export function getkehucustomcheck(id){
  return request({
    url:"/admin/api/custom/check?id="+id,
    method:"post",
    // data:data
  })
}
// 删除
export function getcustomdelete(id){
  return request({
    url:"/admin/api/custom/delete?id="+id,
    method:"post",
    // data:data
  })
}


// 合同信息 
export function getcontractget(id){
  return request({
    url:"/admin/api/contract/get?id="+id,
    method:"get",
    // params:params
  })
}
// 合同信息编辑
export function getcontractedit(data){
  return request({
    url:"/admin/api/contract/edit",
    method:"post",
    data:data
  })
}
// 添加合同
export function getcontractadd(data){
  return request({
    url:"/admin/api/contract/create",
    method:"post",
    data:data
  })
}
// 合同列表 
export function getcontractlist(){
  return request({
    url:"/admin/api/contract/list",
    method:"get",
  })
}
// 合同删除
export function getcontractdelete(id){
  return request({
    url:"/admin/api/contract/delete?id="+id,
    method:"post",
    // data:data
  })
}
// 合同核对
export function getcontractcheck(id){
  return request({
    url:"/admin/api/contract/check?id="+id,
    method:"post",
    // data:data
  })
}

// 联系人信息 
export function getcontactget(id){
  return request({
    url:"/admin/api/contact/get?id="+id,
    method:"get",
    
  })
}
// 联系人编辑
export function getcontactedit(data){
  return request({
    url:"/admin/api/contact/edit",
    method:"post",
    data:data
  })
}
// 添加联系人
export function getcontactcreate(data){
  return request({
    url:"/admin/api/contact/create",
    method:"post",
    data:data
  })
}
// 联系人列表 
export function getcontactlist(){
  return request({
    url:"/admin/api/contact/list",
    method:"get",
  })
}
// 联系人删除
export function getcontactdelete(id){
  return request({
    url:"/admin/api/contact/delete?id="+id,
    method:"post",
    // data:data
  })
}
// 联系人核对
export function getcontactcheck(id){
  return request({
    url:"/admin/api/contact/check?id="+id,
    method:"post",
    // data:data
  })
}


// 跟进信息 
export function getfollwget(params){
  return request({
    url:"/admin/api/follw/get",
    method:"get",
    params:params
  })
}
// 编辑跟进
export function getfollowedit(data){
  return request({
    url:"/admin/api/follow/edit",
    method:"post",
    data:data
  })
}
// 添加跟进
export function getfollowcreate(data){
  return request({
    url:"/admin/api/follow/create",
    method:"post",
    data:data
  })
}
// 跟进列表 
export function getfollowlist(){
  return request({
    url:"/admin/api/follow/list",
    method:"get",
  })
}
// 删除跟进
export function getfollowdelete(id){
  return request({
    url:"/admin/api/follow/delete?id="+id,
    method:"post",
    // data:data
  })
}
// 跟进核对
export function getfollowcheck(id){
  return request({
    url:"/admin/api/follow/check?id="+id,
    method:"post",
    // data:data
    // ?id=  +id
  })
}


// 回款信息 
export function getpaymentcollectionget(id){
  return request({
    url:"/admin/api/paymentcollection/get?id="+id,
    method:"get",
    
  })
}
// 编辑回款
export function getpaymentcollectionedit(data){
  return request({
    url:"/admin/api/paymentcollection/edit",
    method:"post",
    data:data
  })
}
// 添加回款
export function getpaymentcollectioncreate(data){
  return request({
    url:"/admin/api/paymentcollection/create",
    method:"post",
    data:data
  })
}
// 回款列表 
export function getpaymentcollectionlist(){
  return request({
    url:"/admin/api/paymentcollection/list",
    method:"get",
  })
}
// 删除回款
export function getpaymentcollectiondelete(data){
  return request({
    url:"/admin/api/paymentcollection/delete",
    method:"post",
    data:data
  })
}
// 回款核对
export function getpaymentcollectioncheck(id){
  return request({
    url:"/admin/api/paymentcollection/check?id="+id,
    method:"post",
    // data:data
  })
}


// 需求信息 
export function getdemandget(id){
  return request({
    url:"/admin/api/demand/get?id="+id,
    method:"get",
    // params:params
  })
}
// 编辑需求
export function getdemandedit(data){
  return request({
    url:"/admin/api/demand/edit",
    method:"post",
    data:data
  })
}
// 添加需求
export function getdemandcreate(data){
  return request({
    url:"/admin/api/demand/create",
    method:"post",
    data:data
  })
}
// 需求列表 
export function getdemandlist(){
  return request({
    url:"/admin/api/demand/list",
    method:"get",
  })
}
// 删除需求
export function getdemanddelete(id){
  return request({
    url:"/admin/api/demand/delete?id="+id,
    method:"post",
    // data:data
  })
}
// 需求核对
export function getdemandcheck(id){
  return request({
    url:"/admin/api/demand/check?id="+id,
    method:"post",
    // data:data
  })
}


// 续约信息 
export function getrenewalget(id){
  return request({
    url:"/admin/api/renewal/get?id="+id,
    method:"get",
    // params:params
  })
}
// 编辑续约
export function getrenewaledit(data){
  return request({
    url:"/admin/api/renewal/edit",
    method:"post",
    data:data
  })
}
// 添加续约
export function getrenewalcreate(data){
  return request({
    url:"/admin/api/renewal/create",
    method:"post",
    data:data
  })
}
// 续约列表 
export function getrenewallist(){
  return request({
    url:"/admin/api/renewal/list",
    method:"get",
  })
}
// 删除续约
export function getrenewaldelete(id){
  return request({
    url:"/admin/api/renewal/delete?id="+id,
    method:"post",
    // data:data
  })
}
// 续约核对
export function getrenewalcheck(id){
  return request({
    url:"/admin/api/renewal/check?id="+id,
    method:"post",
    // data:data
  })
}